import { combineReducers } from 'redux';

import TopicsReducer from './topics';
import VideosReducer from './videos';
import SearchReducer from './search';
import PlacesReducer from './places';

import { connectRouter } from 'connected-react-router'
export default (history) => combineReducers({
  router: connectRouter(history),
  topics: TopicsReducer,
  videos: VideosReducer,
  results: SearchReducer,
  places: PlacesReducer
});
